Change bot operating mode

Change a bot's operating mode

Details

Changes a bot's operating mode. Operating modes include:

  • LIVE: The normal operating mode. All events are forwarded to the Bot Server via webhooks, and the bot can take any supported action. Only one LIVE bot can be supported on a specific network/externalId at one time.
  • MAINTENANCE: No events are sent via webhooks. Any customer messages that arrive while in this mode are explicitly handed off to an AGENT, so that when the bot returns from MAINTENANCE mode, the bot will not start answering conversations already in progress.
  • MONITORING: All events are forwarded to the Bot Server via webhooks, however, the bot can not communicate directly with the end-user. Up to either 9 or 10 monitoring bots can be assigned to a specific network/externalId at one time, depending on if a LIVE bot is also assigned to the network/externalId.

See Bot operating modes for more information.

📘

Note

When processing a message from an external user, the Automation Framework automatically transfers control from BOT to AGENT when the current conversation control is undetermined or the conversation is owned by a bot, but the currently registered bot is not in LIVE mode.

Path Params
string
required

The social network for the registration. Must match the networkKey field of the bot registration.

string
required

The external identifier of the bot on the social network. Must match the externalId field of the bot registration.

string
required

The internal identifier for the bot used by Khoros. Must match the appId field of the bot registration.

string
required

The operating mode of the bot: LIVE or MAINTENANCE.

LIVE: The normal operating mode. All events are forwarded to the Bot Server via webhooks, and the bot can take any supported action. Only one LIVE bot can be supported on a specific network/externalId at one time.

MAINTENANCE: No events are sent via webhooks. Any customer messages that arrive while in this mode are explicitly handed off to an AGENT, so that when the bot returns from MAINTENANCE mode, the bot will not start answering conversations already in progress. (MAINTENANCE is equivalent to deprecated "maintenanceMode”: true state.

Responses

Language
Request
Response
Choose an example:
application/json